Name:          libgedit-gtksourceview
Version:       299.1.0
Release:       1mamba
Summary:       A source code editing widget
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gedit-technology.net
Source:        https://github.com/gedit-technology/libgedit-gtksourceview.git/%{version}/libgedit-gtksourceview-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libpango-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: meson

%description
A source code editing widget.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgedit-gtksourceview-300.so.*
%{_libdir}/girepository-1.0/GtkSource-300.typelib
%dir %{_datadir}/libgedit-gtksourceview-300
%{_datadir}/libgedit-gtksourceview-300/*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libgedit-gtksourceview-300/gtksourceview
%{_includedir}/libgedit-gtksourceview-300/gtksourceview/*
%{_libdir}/libgedit-gtksourceview-300.so
%{_datadir}/gir-1.0/GtkSource-300.gir
%{_libdir}/pkgconfig/libgedit-gtksourceview-300.pc
%dir %{_datadir}/gtk-doc/html/libgedit-gtksourceview-300
%{_datadir}/gtk-doc/html/libgedit-gtksourceview-300/*
%doc NEWS

%changelog
* Tue Mar 19 2024 Automatic Build System <autodist@openmamba.org> 299.1.0-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 299.0.5-1mamba
- automatic version update by autodist

* Sun Nov 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 299.0.4-1mamba
- package created using the webbuild interface
